Index: npl/system/libmnl/libmnl.SlackBuild
===================================================================
--- npl/system/libmnl/libmnl.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmnl/libmnl.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,25 +1,92 @@
 #!/bin/bash
-#
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/libmnl/
-# Created at ma 14 jun 2021 10:13:11 CEST
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies
+#Our package will be automaticly rebuilded if there is a major change in a DEP package.
+#(this is recommended for most dependencys)
+##DEP:linux
+##DEP:linux_src
+##DEP:openldap
+
+#Loose build-dependencies
+#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
+#(not recommended)
+##NEED:doxygen
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
 
 
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./libmnl.SlackBuild.orig
 
-
-############ make syn3 packages
-cd $CWD
-for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
-
-        #seperate dev-package
-        syn3_move_dev $PKG $PKG""_dev
-        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
-
-        #make main package
-        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
-done
Index: npl/system/libmnl/libmnl.md5
===================================================================
--- npl/system/libmnl/libmnl.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmnl/libmnl.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,7 +1,5 @@
-7bbeb8cdb3258793bd937887213cf20e  ./libmnl-1.0.4.tar.xz
-0e4feb61bacd39542f3acc4ce40c2423  ./libmnl_dev.pkg
-d23e8e230bf579797d46868b60c54c97  ./libmnl.pkg
-7202667646db55bf98e7ac6c15835297  ./libmnl.SlackBuild
-eb3a92dfb701942b95a4523b5d0eae8e  ./libmnl.SlackBuild.log.gz
-00df8bb2b35f0d4f0fb3ad39bef54bdc  ./libmnl.SlackBuild.orig
-b7373248c6cf9d6af5802b2939cc5de0  ./slack-desc
+7d95fc3bea3365bc03c48e484224f65f  ./libmnl-1.0.3.tar.bz2
+1b5f4f1b82eea2698b66910b5522515b  ./libmnl_dev.pkg
+04e29a97144fb6c056512877c4a59391  ./libmnl.pkg
+a685e23c9200f687ec5c9c09f1ad4764  ./libmnl.SlackBuild
+95055379f6c3dd34a52e5156c9d8f33d  ./libmnl.SlackBuild.log.gz
Index: npl/system/libmnl/libmnl.version
===================================================================
--- npl/system/libmnl/libmnl.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmnl/libmnl.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.4
+1.0.3
Index: npl/system/libmnl/libmnl_dev.version
===================================================================
--- npl/system/libmnl/libmnl_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmnl/libmnl_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.4
+1.0.3
Index: npl/system/libmpc/libmpc.SlackBuild
===================================================================
--- npl/system/libmpc/libmpc.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmpc/libmpc.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,14 +1,115 @@
-#!/bin/bash
+#!/bin/sh
+
+#DEP:gmp
+#DEP:mpfr
+
+# Copyright 2010, 2011  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
 #
-# Automaticly created by importpackage v1.0
-# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/l/libmpc/
-# Created at Tue Jan 31 00:15:39 CET 2017
-#DEP:mpfr
-#DEP:gmp
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./libmpc.SlackBuild.orig
+
+# I really do not like to package source under a different name than upstream,
+# but in this case there is a media player frontend that is well-known as
+# mpc already, and it appears that other projects are packaging this mpc as
+# libmpc instead.  It is probably best to follow suit.
+SRCNAM=mpc
+PKGNAM=libmpc
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i486 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$SRCNAM
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $SRCNAM-$VERSION
+chown -R root:root .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --enable-static=yes \
+  --enable-shared=yes \
+  --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Hardly a savings doing this...
+#strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+  AUTHORS COPYING* INSTALL NEWS README* TODO \
+  $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-${VERSION}-${ARCH}-${BUILD}.txz
 
 
@@ -16,5 +117,5 @@
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+        NAME=`echo $PKG| sed 's/.*-//'`
 
         #seperate dev-package
Index: npl/system/libmpc/libmpc.md5
===================================================================
--- npl/system/libmpc/libmpc.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmpc/libmpc.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,7 +1,6 @@
-f3a7c89d5261ebf7d2a9af57be58178d  ./libmpc.SlackBuild
-fd5791546cc253f2746778faf1eda437  ./libmpc.SlackBuild.log.gz
-27a3e0eda02994e05de2e7d8881631e3  ./libmpc.SlackBuild.orig
-e28ed77068ef2b88a3aa4ec71e5e2b82  ./mpc-1.0.3.tar.xz
-5577204bc4358c7bdefe9f187f9c5808  ./mpc_dev.pkg
-a39d6ca8f49cae36acd11cc6b117bab1  ./mpc.pkg
+f6ade98e3f8072dff8681b666bdbef13  ./libmpc.SlackBuild
+403f98c0def39514d988b183d1d17618  ./libmpc.SlackBuild.log.gz
+f25be2b48f36f1b3be00c62a76d7d5cb  ./mpc-0.8.2.tar.xz
+9c38f9706e62e78ca2857060c9464ff0  ./mpc_dev.pkg
+78b980e6daeac6f1a0c737809efb6d57  ./mpc.pkg
 92c54c1101b09c2f940ea786ed570463  ./slack-desc
Index: npl/system/libmpc/mpc.version
===================================================================
--- npl/system/libmpc/mpc.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmpc/mpc.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.3
+0.8.2
Index: npl/system/libmpc/mpc_dev.version
===================================================================
--- npl/system/libmpc/mpc_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmpc/mpc_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.3
+0.8.2
Index: npl/system/libmpfr/libmpfr.SlackBuild
===================================================================
--- npl/system/libmpfr/libmpfr.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,73 @@
+#!/bin/bash
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies. 
+#Only use when really neccesary, this will rebuild our package if the dependencie has changed:
+##DEP:linux
+##DEP:linux_src
+
+#Loose build-dependencies.
+#Use this to specify the packages that are required to build our package:
+##NEED:libcairo
+##NEED:glib
+##NEED:gtk+
+##NEED:glib2
+##NEED:gtk+2
+##NEED:xorg_lib
+##NEED:xorg_proto
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.*`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g'`
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`arch`
+
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+#build and install sourcefiles
+#./configure optiones:
+export CONFIGURE_OPTS=""
+#options for all make commands:
+export MAKE_OPTS=""
+#skip testing:
+#export NOTEST=1
+#extra optiones for the make install command, use with INSTALL_BASE for example:
+export INSTALL_OPTS=""
+syn3_build_automake $SRC_DIR /tmp/pkg || exit 1
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/system/libmpfr/libmpfr.arch
===================================================================
--- npl/system/libmpfr/libmpfr.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/libmpfr/libmpfr.md5
===================================================================
--- npl/system/libmpfr/libmpfr.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+21110c3cb7d175f8f3c1382453d71717  ./libmpfr.SlackBuild
+6db4358b0f69ef7a6da06b8e84303a7e  ./libmpfr.pkg
+1caf5548c2ee11575bd712da2ce224b7  ./libmpfr_dev.pkg
+cf7c743e4be122e63eb6f372fc58b657  ./mpfr-2.3.0.tar.bz2
Index: npl/system/libmpfr/libmpfr.version
===================================================================
--- npl/system/libmpfr/libmpfr.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+2.3.0
Index: npl/system/libmpfr/libmpfr_dev.arch
===================================================================
--- npl/system/libmpfr/libmpfr_dev.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr_dev.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/libmpfr/libmpfr_dev.version
===================================================================
--- npl/system/libmpfr/libmpfr_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+2.3.0
Index: npl/system/libnetfilter_conntrack/libnetfilter_conntrack.SlackBuild
===================================================================
--- npl/system/libnetfilter_conntrack/libnetfilter_conntrack.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libnetfilter_conntrack/libnetfilter_conntrack.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,28 +1,23 @@
 #!/bin/bash
-#
 #DEP:libnfnetlink
 #DEP:libmnl
 
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/libnetfilter_conntrack/
-# Created at ma 14 jun 2021 10:14:27 CEST
+NAME=libnetfilter_conntrack
+VER=1.0.4
+CWD=`pwd`
+PKGTMP=/tmp/pkgtmp
 
+mkdir -p $PKGTMP &>/dev/null
 
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./libnetfilter_conntrack.SlackBuild.orig
+tar -xjf $NAME-$VER.tar.bz2 || exit 1
 
+cd $NAME-$VER
+./configure --prefix=/usr || exit 1
+make || exit 1
+make DESTDIR=$PKGTMP install || exit 1
 
-############ make syn3 packages
-cd $CWD
-for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+cd "$PKGTMP" || exit 1
+makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+echo $VER > $CWD/$NAME.version &&
+arch > $CWD/$NAME.arch 
 
-        #seperate dev-package
-        syn3_move_dev $PKG $PKG""_dev
-        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
-
-        #make main package
-        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
-done
Index: npl/system/libnetfilter_conntrack/libnetfilter_conntrack.md5
===================================================================
--- npl/system/libnetfilter_conntrack/libnetfilter_conntrack.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libnetfilter_conntrack/libnetfilter_conntrack.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,8 +1,4 @@
-2ad88d673a51a95c46936edcc9272fbf  ./libnetfilter_conntrack-1.0.8.tar.lz
-123aaee047801737e3dd5fa56ea3ec86  ./libnetfilter_conntrack_dev.pkg
-6af14ce84087c7d4c33d41035aeec5b4  ./libnetfilter_conntrack.pkg
-70b8ad86a2122d7a3bb5eb6968874c18  ./libnetfilter_conntrack.SlackBuild
-4f227e8dc22b17a0d48c31dde29b3fb6  ./libnetfilter_conntrack.SlackBuild.log.gz
-d6b6139c696697c4c3664c67988c7617  ./libnetfilter_conntrack.SlackBuild.orig
-51ad52c0f01e55649e4f2aa4177bee47  ./libnetfilter_conntrack.url
-5edd10589bd2ed359cc9182653a4efb6  ./slack-desc
+18cf80c4b339a3285e78822dbd4f08d7  ./libnetfilter_conntrack-1.0.4.tar.bz2
+9384ca3bf917032810c22e08b396100e  ./libnetfilter_conntrack.pkg
+1000f3d9d0da6bfd3603a422a9048f93  ./libnetfilter_conntrack.SlackBuild
+d720226405b4ca596c221c61c3479f6c  ./libnetfilter_conntrack.SlackBuild.log.gz
Index: npl/system/libnetfilter_conntrack/libnetfilter_conntrack.version
===================================================================
--- npl/system/libnetfilter_conntrack/libnetfilter_conntrack.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libnetfilter_conntrack/libnetfilter_conntrack.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.8
+1.0.4
Index: npl/system/libnfnetlink/libnfnetlink.SlackBuild
===================================================================
--- npl/system/libnfnetlink/libnfnetlink.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libnfnetlink/libnfnetlink.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,25 +1,21 @@
 #!/bin/bash
-#
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/libnfnetlink/
-# Created at ma 14 jun 2021 10:02:10 CEST
 
+NAME=libnfnetlink
+VER=1.0.1
+CWD=`pwd`
+PKGTMP=/tmp/pkgtmp
 
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./libnfnetlink.SlackBuild.orig
+mkdir -p $PKGTMP &>/dev/null
 
+tar -xjf $NAME-$VER.tar.bz2 || exit 1
 
-############ make syn3 packages
-cd $CWD
-for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+cd $NAME-$VER
+./configure --prefix=/usr || exit 1
+make || exit 1
+make DESTDIR=$PKGTMP install || exit 1
 
-        #seperate dev-package
-        syn3_move_dev $PKG $PKG""_dev
-        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+cd "$PKGTMP" || exit 1
+makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+echo $VER > $CWD/$NAME.version &&
+arch > $CWD/$NAME.arch 
 
-        #make main package
-        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
-done
Index: npl/system/libnfnetlink/libnfnetlink.md5
===================================================================
--- npl/system/libnfnetlink/libnfnetlink.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libnfnetlink/libnfnetlink.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,8 +1,4 @@
-ea73e29538cc27ff57205fba76fc2388  ./libnfnetlink-1.0.1.tar.xz
-7be91f62fe6a76d18f556166027cb466  ./libnfnetlink_dev.pkg
-49e19417de7656da2f143126ab3a19c6  ./libnfnetlink.pkg
-6db1904d13d053e8e610d617da212569  ./libnfnetlink.SlackBuild
-120871e59cf9237d203066827530c306  ./libnfnetlink.SlackBuild.log.gz
-94c0bc0cf89cb81fcb83830f22a0d264  ./libnfnetlink.SlackBuild.orig
-7e41e23b28cf8c9b4b97b053a47a006d  ./libnfnetlink.url
-11fc7e643cc257acea27a0cb89192fe2  ./slack-desc
+98927583d2016a9fb1936fed992e2c5e  ./libnfnetlink-1.0.1.tar.bz2
+e7eb5073b03b7b3ba356dc9b0fc41ae1  ./libnfnetlink.pkg
+80255712beea814442fdea64064c9b91  ./libnfnetlink.SlackBuild
+92387c9358aa8a15b3791b7ef0a21929  ./libnfnetlink.SlackBuild.log.gz
Index: npl/system/module_init_tools/module_init_tools.SlackBuild
===================================================================
--- npl/system/module_init_tools/module_init_tools.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/module_init_tools/module_init_tools.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+NAME=module_init_tools
+VER=3.2.2
+CWD=`pwd`
+PKGTMP=/tmp/pkgtmp
+TARNAME=module-init-tools
+
+mkdir -p $PKGTMP &>/dev/null
+
+tar -xzf $TARNAME-$VER.tar.gz || exit 1
+
+cd $TARNAME-$VER || exit 1
+./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man/  --bindir=/sbin --sbindir=/sbin || exit 1
+make || exit 1
+#make test || exit 1
+make INSTALL_PREFIX=$PKGTMP DESTDIR=$PKGTMP install || exit 1
+
+cd "$PKGTMP" || exit 1
+makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+echo $VER > $CWD/$NAME.version &&
+arch > $CWD/$NAME.arch 
+
Index: npl/system/module_init_tools/module_init_tools.arch
===================================================================
--- npl/system/module_init_tools/module_init_tools.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/module_init_tools/module_init_tools.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/module_init_tools/module_init_tools.md5
===================================================================
--- npl/system/module_init_tools/module_init_tools.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/module_init_tools/module_init_tools.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,3 @@
+ceb92580c7f57a97892af96275aacd48  ./module-init-tools-3.2.2.tar.gz
+38aafbc5e8d1a52e54531b403b53e5c1  ./module_init_tools.SlackBuild
+02f80106cf8879dbe359a9d5704d5834  ./module_init_tools.pkg
Index: npl/system/module_init_tools/module_init_tools.version
===================================================================
--- npl/system/module_init_tools/module_init_tools.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/module_init_tools/module_init_tools.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+3.2.2
Index: npl/system/mpfr/mpfr.SlackBuild
===================================================================
--- npl/system/mpfr/mpfr.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/mpfr/mpfr.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,13 +1,139 @@
-#!/bin/bash
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2011, 2012  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
 #
-# Automaticly created by importpackage v1.0
-# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/l/mpfr/
-# Created at Tue Jan 31 00:10:47 CET 2017
-#DEP:gmp
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./mpfr.SlackBuild.orig
+# Modified 2011 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+PKGNAM=mpfr
+VERSION=${VERSION:-$(echo mpfr-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+  case "$MARCH" in
+    i?86)    export ARCH=i486 ;;
+    armv7hl) export ARCH=$MARCH ;;
+    arm*)    export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *)       export ARCH=$MARCH ;;
+  esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+    arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+    *)    TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-mpfr
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Determine patchlevel:
+PATCHLEVEL=$(/bin/ls $CWD/patches/* 2> /dev/null | rev | cut -f 1 -d / | cut -b4- | rev | cut -b6- | tail -n 1 )
+if [ ! "$PATCHLEVEL" = "" ]; then
+  PATCHLEVEL="p${PATCHLEVEL}"
+fi
+
+cd $TMP
+rm -rf mpfr-$VERSION
+tar xvf $CWD/mpfr-$VERSION.tar.xz || exit 1
+cd mpfr-$VERSION
+chown -R root:root .
+
+if [ ! -z "$(ls $CWD/patches/* 2> /dev/null)" ]; then
+  for file in $CWD/patches/* ; do
+    ( zcat $file 2> /dev/null | patch -p1 --verbose --batch 2> /dev/null || exit 1 )
+    if [ ! $? = 0 ]; then
+      exit 1
+    fi
+  done
+fi
+
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
+  --docdir=/usr/doc/mpfr-$VERSION \
+  --enable-static=yes \
+  --enable-shared=yes \
+  --build=$TARGET
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Hardly a savings doing this...
+#strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/mpfr-$VERSION
+cp -a \
+  AUTHORS BUGS COPYING* FAQ.html INSTALL NEWS README* TODO VERSION \
+  examples \
+  $PKG/usr/doc/mpfr-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/mpfr-${VERSION}${PATCHLEVEL}-${ARCH}-${BUILD}.txz
 
 
@@ -15,5 +141,5 @@
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+        NAME=`echo $PKG| sed 's/.*-//'`
 
         #seperate dev-package
Index: npl/system/mpfr/mpfr.arch
===================================================================
--- npl/system/mpfr/mpfr.arch	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/mpfr/mpfr.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-i586
+i486
Index: npl/system/mpfr/mpfr.md5
===================================================================
--- npl/system/mpfr/mpfr.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/mpfr/mpfr.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,8 +1,7 @@
-c4ac246cf9795a4491e7766002cd528f  ./mpfr-3.1.5.tar.xz
-5b43a30cf6509ea6b340b21a1d36cb7a  ./mpfr-3.1.5.tar.xz.sig
-6ea807e7aacf96c09ceeb6896393d4c0  ./mpfr_dev.pkg
-e32ebc269246105fcb90a7b1e5cb1a1c  ./mpfr.pkg
-5ba2929ca0da4f15852f7111991d9f70  ./mpfr.SlackBuild
-0d3d2e577b4eca96f4d80ed23b7b290f  ./mpfr.SlackBuild.log.gz
-5c4107dceae46006be0d465312bccf70  ./mpfr.SlackBuild.orig
+e3d203d188b8fe60bb6578dd3152e05c  ./mpfr-3.1.2.tar.xz
+20602a01e54286a63e8a1491240559b1  ./mpfr-3.1.2.tar.xz.sig
+4f8908a6099b832b0f1d5b221e428eed  ./mpfr_dev.pkg
+e80c038325a46255e628e5a684dac86a  ./mpfr.pkg
+b05ef06dd64934324c6aa225c6b394db  ./mpfr.SlackBuild
+7a0f36ad73f48a6b2f1314a782df308d  ./mpfr.SlackBuild.log.gz
 9b4ea54625eff3cbce0840af75eaf5de  ./slack-desc
Index: npl/system/mpfr/mpfr.version
===================================================================
--- npl/system/mpfr/mpfr.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/mpfr/mpfr.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-3.1.5
+3.1.2
Index: npl/system/mpfr/mpfr_dev.arch
===================================================================
--- npl/system/mpfr/mpfr_dev.arch	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/mpfr/mpfr_dev.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-i586
+i486
Index: npl/system/mpfr/mpfr_dev.version
===================================================================
--- npl/system/mpfr/mpfr_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/mpfr/mpfr_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-3.1.5
+3.1.2
